var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_python_support_virtual_env_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Virtual Environments and 3ds Max Python</h1></div><p>3ds Max 2021 and higher supports using virtual environments with Python 3, which allows you to ensure specific Python modules are loaded.  This can be very useful for tools that have version-specific dependencies, and you need them to run in controlled environments.  When a virtual environment is active, the Python interpreter in 3ds Max will search it first for imported modules - it becomes the first path on <code>sys.path</code>.</p>\n\
<p>To set up a virtual environment, you need to create it <em>outside</em> of the 3ds Max application, using the 3ds Max Python interpreter, and then start 3ds Max from the same command prompt.  As of 3ds Max 2022, the <code>venv</code> module is included in the Python distribution.  In versions before 3ds Max 2022, you will need to install <code>virtualenv</code>.  To start 3ds Max with a virtual environment:</p>\n\
<ol>\n\
<li>Open a command prompt.</li>\n\
<li>In versions before 3ds Max 2022, install the <code>virtualenv</code> module using the 3ds Max Python interpreter:\n\
 <code>C:\\Program Files\\Autodesk\\3ds Max 2021\\Python37\\python.exe -m pip install --user virtualenv</code><blockquote>\n\
<p><strong>Note</strong> See &quot;Using pip with Python 3&quot; in <a href=\"./../python_extension_libraries.html\">Python extension libraries</a> for instructions on how to install <code>pip</code>.</p>\n\
</blockquote>\n\
</li>\n\
</ol>\n\
<p>For 3ds Max 2022 and later, the process for creating and using a virtual environment work identically for both <code>virtualenv</code> and <code>venv</code>.  Substitute <code>venv</code> for <code>virtualenv</code> if required:</p>\n\
<ol>\n\
<li><p>Create a new virtual environment (this only needs to be done once):\n\
 <code>C:\\Program Files\\Autodesk\\3ds Max 2023\\Python\\python.exe -m virtualenv d:\\myenv</code>    </p>\n\
</li>\n\
<li><p>Change the current directory to the virtual environment&apos;s script directory, and run the activate script (this needs to be done every time you start 3ds Max):</p>\n\
<pre class=\"pre codeblock\"><code class=\"prettyprint\"> cd d:\\myenv\\Scripts\n\
 PS D:\\myenv\\Scripts&gt; .\\activate.bat</code></pre><p> The prompt changes to indicate that the virtual environment is active. </p>\n\
<blockquote>\n\
<p><strong>Note</strong>: You can deactivate the virtual environment using the <code>deactivate.bat</code> script in the same directory.  You can view the path for any active virtual environment by using <code>where python</code> in the command prompt.\n\
 Once the environment is activated, you can install the specific modules you require.<br> For example: <code>pip install pip_install_test</code></p>\n\
</blockquote>\n\
</li>\n\
<li><p>Start 3ds Max from the same command line:\n\
 <code>&lt;3dsmax_install_path&gt;\\3dsmax.exe</code></p>\n\
<blockquote>\n\
<p><strong>Note</strong>: 3ds Max must be started in the same command prompt that ran <code>activate.bat</code>, as that script affects the local environment variables.</p>\n\
</blockquote>\n\
</li>\n\
<li><p>The environment is now active in 3ds Max, and you can import and use installed modules.  You can test that the environment is activated in 3ds Max by checking the <code>VIRTUAL_ENV</code> environment variable, which is set to the path of the environment created above.</p>\n\
</li>\n\
</ol>\n\
<p>For more general information about using a virtual environment, see the Python documentation for <a href=\"https://packaging.python.org/guides/installing-using-pip-and-virtual-environments/\" target=\"_blank\">Installing Packages using pip and virtual environments</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../python_support.html\">Python Versions Supported</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";