var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_qtmax_module_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The <code>qtmax</code> Module</h1></div><p>The qtmax module contains helper functions for working with 3ds Max Qt Widgets.  The module contains the following function:</p>\n\
<h2 id=\"helpers\">Helpers</h2><pre class=\"pre codeblock\"><code class=\"lang-py prettyprint\">GetQMaxMainWindow()</code></pre>\n\
<p>This function returns the <code>QMainWindow</code> object for the 3ds Max main window.  You can use this for parenting widgets to the main window, and to enable docking.  See the sample code in <a href=\"creating_python_uis.html\">Creating Python UIs</a> for an example of how to use this function.</p>\n\
<pre class=\"pre codeblock\"><code class=\"prettyprint\">DisableMaxAcceleratorsOnFocus(widget: PySide2.QtWidgets.QWidget, disableMaxAccelerators: bool)</code></pre><p>This function disables the 3ds Max keyboard accelerators for a specified PySide widget when it, or one of its child widgets, receives focus. Once the widget gets a <code>focusOut</code> event the 3ds Max accelerators are re-enabled.</p>\n\
<pre class=\"pre codeblock\"><code class=\"lang-py prettyprint\">LoadMaxMultiResIcon(path: str) </code></pre>\n\
<p>This function loads the multi-resolution icon file located at the specified path and returns it as a PySide2.QtGui.QIcon object suitable for use in a Pyside2 GUI.  This convenience function is a wrapper of the C++ <code>MaxSDK::LoadMaxMultiResIcon()</code>.  The icon path can point to a standard 3ds Max icon, a custom icon compiled by Qt, or icons on the file system.  See the topic &quot;Using Multi-Res Icons in Max and Qt&quot; and the &quot;Icon Guide&quot; in the <em>3ds Max SDK Help</em>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";