var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_maxplus_to_pymxs_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MaxPlus to pymxs Translation</h1></div><p>This topic shows MaxPlus APIs and their pymxs equivalents, to aid you in converting scripts that use MaxPlus to pymxs.</p>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#ui-related\">UI Related</a><ul>\n\
<li><a href=\"#attachqwidgettomax-example\">AttachQWidgetToMax() Example</a></li>\n\
<li><a href=\"#getqmaxmainwindow-example\">GetQMaxMainWindow() Example</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#actionmanager\">ActionManager</a></li>\n\
<li><a href=\"#animation-animationtrajectory\">Animation, AnimationTrajectory</a></li>\n\
<li><a href=\"#application\">Application</a></li>\n\
<li><a href=\"#assets\">Assets</a></li>\n\
<li><a href=\"#atmostpherics\">Atmostpherics</a></li>\n\
<li><a href=\"#axis\">Axis</a></li>\n\
<li><a href=\"#bitmap-bitmapmanager-bitmapstorage\">Bitmap, BitmapManager, BitmapStorage</a></li>\n\
<li><a href=\"#commandpanel\">CommandPanel</a></li>\n\
<li><a href=\"#containers\">Containers</a></li>\n\
<li><a href=\"#coordinatesystem\">CoordinateSystem</a></li>\n\
<li><a href=\"#core\">Core</a></li>\n\
<li><a href=\"#cui\">CUI</a></li>\n\
<li><a href=\"#displayfilters\">DisplayFilters</a></li>\n\
<li><a href=\"#effects\">Effects</a></li>\n\
<li><a href=\"#environment\">Environment</a></li>\n\
<li><a href=\"#factory\">Factory</a></li>\n\
<li><a href=\"#filemanager\">FileManager</a></li>\n\
<li><a href=\"#gammamgr\">GammaMgr</a></li>\n\
<li><a href=\"#grid\">Grid</a></li>\n\
<li><a href=\"#inode\">INode</a></li>\n\
<li><a href=\"#layermanager\">LayerManager</a></li>\n\
<li><a href=\"#materials\">Materials</a></li>\n\
<li><a href=\"#math\">Math</a></li>\n\
<li><a href=\"#menu\">Menu</a></li>\n\
<li><a href=\"#mesh\">Mesh</a></li>\n\
<li><a href=\"#modifierpanel\">ModifierPanel</a></li>\n\
<li><a href=\"#notificationmanager\">NotificationManager</a></li>\n\
<li><a href=\"#paramdimension\">ParamDimension</a></li>\n\
<li><a href=\"#pathmanager\">PathManager</a></li>\n\
<li><a href=\"#plugindll-pluginmanager\">PluginDll, PluginManager</a></li>\n\
<li><a href=\"#preferencesfileencoding-preferencesrendering\">PreferencesFileEncoding, PreferencesRendering</a></li>\n\
<li><a href=\"#renderer-renderexecute-rendersettings\">Renderer, RenderExecute, RenderSettings</a></li>\n\
<li><a href=\"#schematicviews\">SchematicViews</a></li>\n\
<li><a href=\"#selectionmanager\">SelectionManager</a></li>\n\
<li><a href=\"#snaps\">Snaps</a></li>\n\
<li><a href=\"#specialfx\">SpecialFX</a></li>\n\
<li><a href=\"#statuspanel\">StatusPanel</a></li>\n\
<li><a href=\"#trackview\">TrackView</a></li>\n\
<li><a href=\"#transformgizmos\">TransformGizmos</a></li>\n\
<li><a href=\"#triobject\">TriObject</a></li>\n\
<li><a href=\"#uisettings\">UISettings</a></li>\n\
<li><a href=\"#viewportmanager-viewportsbackground\">ViewportManager, ViewportsBackground</a></li>\n\
<li><a href=\"#win32\">Win32</a></li>\n\
<li><a href=\"#xrefs\">XRefs</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"ui-related\">UI Related</h2><p>These MaxPlus APIs are used to work with PySide2 UIs, attaching (parenting) a widget to the 3ds Max main window, get the 3ds Max main window as as QWidget, and load Qt UI files.  </p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>MaxPlus</th>\n\
<th>pymxs Equivalent</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>MaxPlusExtend.AttachQWidgetToMax()</code></td>\n\
<td>Set parent of widget - <a href=\"#AttachQWidgetToMax()-Example\">example below</a></td>\n\
</tr>\n\
<tr>\n\
<td><code>MaxPlusExtend.GetQMaxMainWindow()</code></td>\n\
<td><code>pymxs.runtime.windows.getMAXHWND()</code> - <a href=\"#GetQMaxMainWindow()-Example\">example below</a></td>\n\
</tr>\n\
<tr>\n\
<td><code>MaxPlusExtend.LoadUiType()</code></td>\n\
<td>PySide2 <code>QUiLoader</code></td>\n\
</tr>\n\
</tbody></table>\n\
<h3 id=\"attachqwidgettomax-example\">AttachQWidgetToMax() Example</h3><p>MaxPlus:</p>\n\
<pre class=\"pre codeblock\"><code class=\"lang-py prettyprint\">w = QtGui.QWidget()\n\
MaxPlus.AttachQWidgetToMax(w)</code></pre>\n\
<p>pymxs Equivalent:</p>\n\
<pre class=\"pre codeblock\"><code class=\"lang-py prettyprint\">max_win = QWidget.find(pymxs.runtime.windows.getMAXHWND())\n\
w = QDialog(parent=max_win)</code></pre>\n\
<h3 id=\"getqmaxmainwindow-example\">GetQMaxMainWindow() Example</h3><p>MaxPlus:</p>\n\
<p><code>MaxPlus.GetQMaxMainWindow()</code></p>\n\
<p>pymxs Equivalent:</p>\n\
<pre class=\"pre codeblock\"><code class=\"lang-py prettyprint\">from PySide2.QtWidgets import QWidget, QMainWindow\n\
import shiboken2\n\
from pymxs import runtime as rt\n\
appQWidget = QWidget.find(rt.windows.getMAXHWND())\n\
appQMainWindow = shiboken2.wrapInstance(shiboken2.getCppPointer(main_window_widget)[0], QMainWindow)\n\
</code></pre>\n\
<h2 id=\"actionmanager\">ActionManager</h2><p><code>MaxPlus.ActionManager</code>:  Manages ActionTables, ActionCallbacks and ActionContexts. Handles the keyboard accelerator tables for each ActionTable as well.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>Most ActionManager functionality does not have an equivalent in pymxs.  For example, in pymxs there is no way to query the action manager for all available action items.  However, the ability to excute an action is exposed in <code>interface: actionMan</code>.</p>\n\
<h2 id=\"animation-animationtrajectory\">Animation, AnimationTrajectory</h2><p><code>MaxPlus.AnimationKeySteps</code>: Static functions for time configuration dialog key step options.\n\
<code>MaxPlus.AnimationTrajectory</code>: Static functions related to the trajectory mode in the motion panel.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>Most equivalent functionality for these APIs can be found in the following MAXScript Help topics:</p>\n\
<ul>\n\
<li>&apos;MAXScript Tools and Interaction with 3ds Max&apos; &gt; &apos;Interacting with the 3ds Max User Interface&apos; &gt; &apos;Time Control&apos;</li>\n\
<li>&apos;MAXScript Language Reference&apos; &gt; &apos;Reserved Keywords, Symbols, Punctuation and Variables&apos; &gt; &apos;3ds Max System Globals&apos; (tickperframe, and time related globals)</li>\n\
<li>&apos;3ds Max Objects and Interfaces&apos; &gt; &apos;Interfaces&apos; &gt; &apos;Core Interfaces&apos; &gt; &apos;Core Interfaces Documentation&apos; &gt; &apos;M&apos; &gt; &apos;Interface: maxOps&apos; (autokey settings)</li>\n\
<li>&apos;3ds Max Objects and Interfaces&apos; &gt; &apos;Interfaces&apos; &gt; &apos;Other Interfaces&apos; &gt; &apos;Other Interfaces&apos; &gt; &apos;Trackbar Interface&apos;</li>\n\
</ul>\n\
<h2 id=\"application\">Application</h2><p><code>MaxPlus.Application</code>: High-level utility functions</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>MaxPlus</th>\n\
<th>pymxs Equivalent</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>MaxPlus.Application.AutoBackupEnabled()</td>\n\
<td>pymxs.runtime.autosave.Enable</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.CheckMAXMessages ()</td>\n\
<td>Check, there is something</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.DrawingEnabled ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.EnableAutoBackup (args)</td>\n\
<td>pymxs.runtime.autosave.Enable = <bool></bool></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.EnableDrawing (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.ExecuteMAXCommand (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.FlushUndoBuffer ()</td>\n\
<td>pymxs.runtime.clearUndoBuffer()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.Get3DSMAXVersion ()</td>\n\
<td>pymxs.runtime.maxVersion() not the same output</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.GetAutoBackupTime ()</td>\n\
<td>pymxs.runtime.autosave.Interval</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.GetInterface (args)</td>\n\
<td>Partially covered by pymxs.runtime.maxops structure</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.GetQuietMode</td>\n\
<td>pymxs.runtime.GetQuietMode()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.GetScreenHeight ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.GetScreenWidth ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.GetSoundObject ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.InNonInteractiveMode</td>\n\
<td>pymxs.runtime.maxops.isInNonInteractiveMode() (not in docs)</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.InSecureMode ()</td>\n\
<td>pymxs.runtime.maxops.isInSecureMode()(not in docs)</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.IsDebugging ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.IsNetworkLicense ()</td>\n\
<td>Pymxs.runtime.maxOps.isNetworkLicnse()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.IsQuitingApp ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.IsSceneResetting ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.IsTrialLicense ()</td>\n\
<td>Not applicable since 2017</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.IsUsingProfileDirectories ()</td>\n\
<td>pymxs.runtime.pathConfig.isUsingProfileDirectories()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.IsUsingRoamingProfiles ()</td>\n\
<td>pymxs.runtime.pathConfig.isUsingRoamingProfiles()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.NumberOfProcessors ()</td>\n\
<td>pymxs.runtime.sysInfo.cpucount</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.RescaleWorldUnits (args)</td>\n\
<td>pymxs.runtime.RescaleWorldUnits(<float>[, pymxs.runtime.Name(&apos;selOnly&apos;)])</float></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.SetAutoBackupTime (args)</td>\n\
<td>pymxs.runtime.autosave.Interval = <float></float></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.SetQuietMode (args)</td>\n\
<td>pymxs.runtime.SetQuietMode(<bool>)</bool></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Application.SetSoundObject (args)</td>\n\
<td>prosound.append <filename>AudioFile</filename></td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"assets\">Assets</h2><p><code>MaxPlus.AssetDirectories</code>: Asset directory management functions. \n\
<code>MaxPlus.AssetManager</code>: Allows creation of asset objects, and lists the assets currently used in the scene. </p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>Most equivalent functionality for these APIs can be found in the following MAXScript Help topics:</p>\n\
<ul>\n\
<li>MAXScript Tools and Interaction with 3ds Max &gt; File Access &gt; 3ds Max Scene Files Access &gt; MAX File Asset Metadata Stream Access</li>\n\
<li>MAXScript Tools and Interaction with 3ds Max &gt; File Access &gt; Asset Management &gt; Accessing AssetManager, AssetUser and Asset Metadata in MAX Files</li>\n\
<li>3ds Max Objects and Interfaces &gt; Interfaces &gt; Core Interfaces &gt; Core Interfaces Documentation &gt; A &gt; Interface: AssetManager</li>\n\
</ul>\n\
<h2 id=\"atmostpherics\">Atmostpherics</h2><p><code>MaxPlus.Atmospherics</code>: Proxy of C++ Autodesk::Max::Atomspherics class</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; &apos;3ds Max Objects and Interfaces&apos; &gt; &apos;Atmospheric : MAXWrapper&apos; </p>\n\
<h2 id=\"axis\">Axis</h2><p><code>MaxPlus.Axis</code>: Axis related utility functions. </p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; &apos;MAXScript Tools and Interaction with 3ds Max&apos; &gt; &apos;Interacting with the 3ds Max User Interface&apos; &gt; &apos;Main Toolbar&apos; &gt; &apos;Main Toolbar&apos; (toolmode.axisConstaints) </p>\n\
<h2 id=\"bitmap-bitmapmanager-bitmapstorage\">Bitmap, BitmapManager, BitmapStorage</h2><p><code>MaxPlus.Bitmap</code>: The main class for working with bitmaps. \n\
<code>MaxPlus.BitmapManager</code>: Static bitmap utility functions. \n\
<code>MaxPlus.BitmapStorage</code>: The buffer of a loaded bitmap. It allows developers to access the image data in a uniform manner even though the underlying storage might be 1-bit, 8-bit, 16-bit, 32-bit or 64-bit.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; &apos;MAXScript Language Reference&apos; &gt; &apos;Values&apos; &gt; &apos;Bitmap Values&apos;</p>\n\
<h2 id=\"commandpanel\">CommandPanel</h2><p><code>MaxPlus.CommandPanel</code>: Command panel utility functions.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; &apos;MAXScript Tools and Interaction with 3ds Max&apos; &gt; &apos;Interacting with the 3ds Max User Interface&apos; &gt; &apos;Command Panels&apos; &gt; &apos;Command Panels&apos; </p>\n\
<h2 id=\"containers\">Containers</h2><p><code>MaxPlus.ContainerManager</code>: Interface to global container functionality.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; &apos;3ds Max Objects and Interfaces&apos; &gt; &apos;Interfaces&apos; &gt; &apos;Core Interfaces&apos; &gt; &apos;Core Interfaces Documentation&apos; &gt; &apos;Interface: Containers&apos;</p>\n\
<h2 id=\"coordinatesystem\">CoordinateSystem</h2><p><code>MaxPlus.CoordinateSystem</code>: Coordinate system utility functions</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; &apos;MAXScript Tools and Interaction with 3ds Max&apos; &gt; &apos;Interacting with the 3ds Max User Interface&apos; &gt; &apos;Main Toolbar&apos; &gt; &apos;Main Toolbar&apos; </p>\n\
<h2 id=\"core\">Core</h2><p>MaxPlus.Core: Provides access to commonly used global functions.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>MaxPlus</th>\n\
<th>pymxs Equivalent</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>MaxPlus.Core.EditMAXScriptFile (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.EvalMAXScript (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.ExecuteMAXScript (args)</td>\n\
<td>pymxs.runtime.execute(<maxscript_string>)</maxscript_string></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.GetCOREInterface (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.GetCurrentTime ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.GetCOREInterfaceAt (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.GetCurrentTimeContext ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.GetFPInterface (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.GetFPInterfaceDesc (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.GetInterface (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.GetMAXScriptListenerLogFile ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.GetMaxVersion ()</td>\n\
<td>pymxs.runtime.maxVersion()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.GetRootNode ()</td>\n\
<td>pymxs.runtime.rootnode</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.GetWindowHandle ()</td>\n\
<td>pymxs.runtime.windows.getMAXHWND()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.IsGlobalVariableNameSettable (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.IsMAXScriptParserKeyword (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.IsMaxVersionNewerOrSame (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.IsVariableNameValid (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.Print (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.ResetCurrentTimeContext ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.SetCurrentTime (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.SetCurrentTimeContext (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.SetMAXScriptListenerLogFile (args)</td>\n\
<td>pymxs.runtime.openLog(r&apos;<filename>&apos;[, mode=[&quot;w&#x201D;</filename></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.UseCurrentTimeContext ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.Write (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.Core.WriteLine (args)</td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"cui\">CUI</h2><p>MaxPlus.CUI: Interface to CUI system functionality.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>MaxPlus</th>\n\
<th>pymxs Equivalent</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>MaxPlus.CUI.AreAcceleratorsEnabled ()</td>\n\
<td>pymxs.runtime.enableAccelerators</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.DisableAccelerators ()</td>\n\
<td>pymxs.runtime.enableAccelerators = False</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.DoUICustomization ()</td>\n\
<td>pymxs.runtime.actionMan.executeAction( 0, &quot;<actionid>&quot;)</actionid></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.EnableAccelerators ()</td>\n\
<td>pymxs.runtime.enableAccelerators = True</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.EnableToolButton ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionCommonIReshadeTableId ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionIReshadeContext ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionMainUIContext ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionMainUITableId ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionMaterialEditorContext ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionMaterialEditorTableId ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionScanlineIReshadeTableId ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionSchematicViewContext ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionSchematicViewTableId ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionTrackViewContext ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionTrackViewTableId ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionVideoPostContext ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetActionVideoPostTableId ()</td>\n\
<td>Not available</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetCancel ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetExpertMode ()</td>\n\
<td>pymxs.runtime.cui.getExpertMode()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetFlyOffTime ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.GetToolButtonState ()</td>\n\
<td>Do not think there is another way</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.LoadCUI ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.LoadCUIConfig ()</td>\n\
<td>pymxs.runtime.cui.loadConfig(u&quot;<escaped_path>&quot;)</escaped_path></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.ResetToFactoryDefaultCUI ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.RevertToBackupCUI ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.SaveCUIAs ()</td>\n\
<td>pymxs.runtime.cui.saveConfigAs(u&quot;<escaped_path>&quot;)</escaped_path></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.SetCancel ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.SetExpertMode ()</td>\n\
<td>pymxs.runtime.cui.expertModeOn()</td>\n\
</tr>\n\
<tr>\n\
<td>pymxs.runtime.cui.expertModeOff()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.SetFlyOffTime ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.SetToolButtonState ()</td>\n\
<td>Do not think there is another way</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.ShowCustomizeDialog ()</td>\n\
<td>pymxs.runtime.actionMan.executeAction( 0, &quot;40485&quot;)</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUI.WriteCUIConfig ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUIFrameMgr.GetConfigFile ()</td>\n\
<td>pymxs.runtime.cui.getConfigFile()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUIFrameMgr.GetCUIDirectory ()</td>\n\
<td>pymxs.runtime.cui.getDir()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUIFrameMgr.SetConfigFile ()</td>\n\
<td>pymxs.runtime.cui.setConfigFile(u&quot;<escaped_path>&quot;)</escaped_path></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.CUIFrameMgr.SetMacroButtonStates ()</td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"displayfilters\">DisplayFilters</h2><p><code>MaxPlus.DisplayFilters</code>: Exposes functionality from the display Command Panel. Allows hiding by object category, such as geometry, shapes, lights, cameras etc.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript &gt; &apos;MAXScript Tools and Interaction with 3ds Max&apos; &gt; &apos;Interacting with the 3ds Max User Interface&apos; &gt; &apos;Filters&apos; &gt; &apos;Selection Filter&apos;\n\
See MAXScript &gt; &apos;MAXScript Tools and Interaction with 3ds Max&apos; &gt; &apos;Interacting with the 3ds Max User Interface&apos; &gt; &apos;Viewports&apos; &gt; &apos;Display Panel: Wireframe and Shaded Colors&apos;\n\
See MAXScript &gt; &apos;3ds Max Objects and Interfaces&apos; &gt; &apos;Node : MAXWrapper&apos; &gt; &apos;Node Common Properties, Operators and Methods&apos; &gt; &apos;HideByCategory Properties and Methods&apos; &gt; &apos;Interactivity - Hidden / Frozen Properties&apos;</p>\n\
<h2 id=\"effects\">Effects</h2><p><code>MaxPlus.Effects</code>: Base class of rendering effect plug-ins. These plug-ins are added in sequence after a rendering is complete without the use of Video Post.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; &apos;3ds Max Objects and Interfaces&apos; &gt; &apos;RenderEffect : MAXWrapper&apos;</p>\n\
<h2 id=\"environment\">Environment</h2><p><code>MaxPlus.Environment</code>: Environment related utility functions.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; &apos;MAXScript Tools and Interaction with 3ds Max&apos; &gt; &apos;Interacting with the 3ds Max User Interface&apos; &gt; &apos;Environment And Effects Dialog&apos; &gt; &apos;Environment And Effects Dialog&apos;</p>\n\
<h2 id=\"factory\">Factory</h2><p><code>MaxPlus.Factory</code>: Functions for creating objects and nodes.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>The MaxPlus.Factory methods are replaceable by pymxs constructors.  For example, to create a cylinder in MaxPlus requires calling <code>Factory.CreateGeomObject()</code> to create the object, and then <code>Factory.CreateNode()</code> to create a scene node instance of that object:</p>\n\
<pre class=\"pre codeblock\"><code class=\"lang-py prettyprint\">obj = MaxPlus.Factory.CreateGeomObject(MaxPlus.ClassIds.Cylinder)\n\
obj.ParameterBlock.Radius.Value = 10.0\n\
obj.ParameterBlock.Height.Value = 30.0\n\
node = MaxPlus.Factory.CreateNode(obj)</code></pre>\n\
<p>In pymxs, this is performed in one line of code in the <code>Cylinder:GeometryClass</code> constructor:</p>\n\
<pre class=\"pre codeblock\"><code class=\"lang-py prettyprint\">node = pymxs.runtime.cylinder(radius=10.0,height=30.0)</code></pre>\n\
<h2 id=\"filemanager\">FileManager</h2><p><code>MaxPlus.FileManager</code>: Static functions for working with files. For example, loading, saving, importing, exporting, merging and so forth.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>MaxPlus</th>\n\
<th>pymxs Equivalent</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>MaxPlus.FileManager.AppendToCurFilePath (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.CanImportBitmap (args)</td>\n\
<td>return value of <code>pymxs.runtime.openBitMap()</code></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.CanImportFile (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.CheckForSave ()</td>\n\
<td>pymxs.runtime.checkForSave()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.ChooseDirectory (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.ConfigureBitmapPaths ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.DoesFileExist (args)</td>\n\
<td>pymxs.runtime.doesFileExist(u&apos;<escaped_path>&apos;[, allowDirectory=&lt;True</escaped_path></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.DoMaxFileSaveAsDlg (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.DownloadUrl (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.Export (args)</td>\n\
<td>pymxs.runtime.export(r&apos;<filename>&apos; [, pymxs.runtime.Name(&apos;noPrompt&apos;)] [, selectedOnly=&lt;True</filename></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.ExportSelected (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.Fetch ()</td>\n\
<td>pymxs.runtime.fetchMaxFile([quiet=&lt;True</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.GetFileName ()</td>\n\
<td>pymxs.runtime.maxFileName</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.GetFileNameAndPath ()</td>\n\
<td>pymxs.runtime.maxFilePath + pymxs.runtime.maxFileName</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.GetSaveRequiredFlag ()</td>\n\
<td>pymxs.runtime.getSaveRequired()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.GetSavingVersion ()</td>\n\
<td>Not the same, but</td>\n\
</tr>\n\
<tr>\n\
<td>pymxs.runtime.getMaxFileVersionData(u&apos;<escaped_filename>&apos;)</escaped_filename></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.Hold ()</td>\n\
<td>pymxs.runtime.holdMaxFile()</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.Import (args)</td>\n\
<td>Pymxs.runtime.importFile(r&apos;<filename>&apos;[, pymxs.runtime.Name(&apos;noPrompt&apos;)] [, using=<maxclass>])</maxclass></filename></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.IsAutoSaveRequired ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.IsInternetCachedFile (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.IsMaxFile (args)</td>\n\
<td>pymxs.runtime.isMaxFile(u&apos;<escaped_filename>&apos;)</escaped_filename></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.IsSaveRequired ()</td>\n\
<td>pymxs.runtime.getSaveRequired() == True</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.IsSavingToFile ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.Merge (args)</td>\n\
<td>Pymxs.runtime.mergeMAXFile(r&apos;<filename>&apos;[, <node_array>][, pymxs.runtime.Name(&apos;prompt&apos;)][...]</node_array></filename></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.Open (args)</td>\n\
<td>pymxs.runtime.loadMaxFile(r&apos;&lt;filename&apos;[, useFileUnits=&lt;True</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.Reset    pymxs.runtime.resetMaxFile()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>pymxs.runtime.resetMaxFile(pymxs.runtime.Name(&apos;noPrompt&apos;)</td>\n\
<td>)</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.Save (args)</td>\n\
<td>pymxs.runtime.saveMaxFile(r&apos;<filename>&apos; [, saveAsVersion=<int>] [, clearNeedSaveFlag=&lt;True</int></filename></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.SaveAs ()</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.SaveNodes (args)</td>\n\
<td>pymxs.runtime.saveNodes(<node_collection>, r&apos;<filename>&apos;[, saveAsVersion=<int>] [, quiet=&lt;True</int></filename></node_collection></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.SaveNodesAsVersion (args)</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.SaveSceneAsVersion (args)</td>\n\
<td>See Save</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.SaveSelected (args)</td>\n\
<td>See Save</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.SaveSelectedNodesAsVersion (args)</td>\n\
<td>See SaveNodesAsVersion</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.SetSaveRequiredFlag (args)</td>\n\
<td>pymxs.runtime.setSaveRequired(&lt;True</td>\n\
</tr>\n\
<tr>\n\
<td>MaxPlus.FileManager.SetSavingVersion (args)</td>\n\
<td>Not available</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"gammamgr\">GammaMgr</h2><p><code>MaxPlus.GammaMgr</code>: Used to gamma correct and de-gamma colors in various formats.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help:</p>\n\
<ul>\n\
<li>&apos;3ds Max Objects and Interfaces&apos; &gt; &apos;Interfaces&apos; &gt; &apos;Core Interfaces&apos; &gt; &apos;Core Interfaces Documentation&apos; &gt; &apos;I,J,K&apos; &gt; &apos;Interface: IDisplayGamma&apos;</li>\n\
<li>&apos;MAXScript Tools and Interactions with 3ds Max&apos; &gt; &apos;Interacting with the 3ds Max User Interface&apos; &gt; &apos;Render Scene Dialog&apos; &gt; &apos;Controlling the Renderer&apos;</li>\n\
</ul>\n\
<h2 id=\"grid\">Grid</h2><p><code>MaxPlus.Grid</code>: Grid utility functions</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; &apos;3ds Max Objects and Interfaces&apos; &gt; &apos;Node: MAXWrapper&apos; &gt; &apos;Node Subclasses&apos; &gt; &apos;Helper: Node&apos; &gt; &apos;Helper: Standard&apos; &gt; &apos;GridL Helper&apos;</p>\n\
<h2 id=\"inode\">INode</h2><p><code>MaxPlus.INode</code>: The interface to scene graph nodes. In addition to pointers to its a parent and children, a node contains references to the material and object and maintains information about its translation, rotation, and scale in 3D space.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXSCript Help &gt; 3ds Max Objects and Interfaces &gt; Node: MAXWrapper</p>\n\
<h2 id=\"layermanager\">LayerManager</h2><p><code>MaxPlus.LayerManager</code>: Global functions for working with layer managers.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; 3ds Max Objects and Interfaces &gt; Interfaces &gt; Core Interfaces &gt; Core Interfaces Documentation &gt; L &gt; Interface: LayerManager</p>\n\
<h2 id=\"materials\">Materials</h2><p><code>MaxPlus.MaterialEditor</code>: Material editor utility functions.\n\
<code>MaxPlus.MaterialLibrary</code>: A collection of materials and texture maps.\n\
<code>MaxPlus.MaterialManager</code>: Material utility functions.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help:</p>\n\
<ul>\n\
<li>&apos;MAXScript Tools and Interaction with 3ds Max&apos; &gt; &apos;Interacting with the 3ds Max User Interface&apos; &gt; &apos;Material Editor&apos; &gt; &apos;Material Editor&apos;</li>\n\
<li>MAXScript Help &gt; MAXScript Language Reference &gt; Collections &gt; Collection Types &gt;  MaterialLibrary Values</li>\n\
</ul>\n\
<h2 id=\"math\">Math</h2><p><code>MaxPlus.Math</code>:  Math utility functions.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>Some functions are availble on Point3, such as <code>point3.noise3()</code>, <code>point3.turbulence()</code> and <code>point3.fractalNoise()</code>.  Implementations of some functions are explained in the &quot;texutil.h File Reference&quot; topic in the <strong>C++ API Reference</strong>.</p>\n\
<h2 id=\"menu\">Menu</h2><p><code>MaxPlus.Menu</code>: Represents a menu.\n\
<code>MaxPlus.MenuBuilder</code>: Used for constructing new menus. These menus are persistent across 3ds Max sessions.\n\
<code>MaxPlus.MenuElement</code>: Represents a menu or menu item.\n\
<code>MaxPlus.MenuItem</code>: Represents an interface for a menu item.\n\
<code>MaxPlus.MenuManager</code>: Menu utility functions.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; &apos;3ds Max Objects and Interfaces&apos; &gt; &apos;Interfaces&apos; &gt; &apos;Core Interfaces&apos; &gt; &apos;Core Interfaces Documentation&apos; &gt; &apos;M&apos; &gt; &apos;Interface: menuMan&apos;</p>\n\
<h2 id=\"mesh\">Mesh</h2><p><code>MaxPlus.Mesh</code>: A triangular mesh.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help:</p>\n\
<ul>\n\
<li>&apos;MAXScript Language Reference&apos; &gt; &apos;3ds Max Objects&apos; &gt; &apos;Editable Meshes, Splines, Patches, and Polys&apos; &gt; &apos;Editable_Mesh and TriMesh&apos; </li>\n\
<li>&apos;MAXScript Language Reference&apos; &gt; &apos;3ds Max Objects&apos; &gt; &apos;Editable Meshes, Splines, Patches, and Polys&apos; &gt; &apos;Editable_Poly&apos;</li>\n\
</ul>\n\
<h2 id=\"modifierpanel\">ModifierPanel</h2><p><code>MaxPlus.ModifierPanel</code>: Modifier panel utility functions.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; &apos;MAXScript Tools and Interaction with 3ds Max&apos; &gt; &apos;Interacting with the 3ds Max User Interface&apos; &gt; &apos;Command Panels&apos; &gt; &apos;Modify Panel&apos;</p>\n\
<h2 id=\"notificationmanager\">NotificationManager</h2><p><code>MaxPlusExtend.NotificationManager</code>: Allows callback functions to be registered with notifications.\n\
<code>MaxPlus.NotificationCodes</code></p>\n\
<h2 id=\"paramdimension\">ParamDimension</h2><p>MaxPlus.ParamDimensionBase: Describes the dimension of a parameter, which acts as a unit of measure.</p>\n\
<p>MaxPlus.ParamDimension: Extends the ParamDimensionBase</p>\n\
<h2 id=\"pathmanager\">PathManager</h2><p><code>MaxPlus.PathManager</code>: Provides read and write access to the configurable paths (directories) used by 3ds Max.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; MAXScript Tools and Interaction with 3ds Max &gt; File Access &gt; 3ds Max System Directories &gt; 3ds Max System Directories</p>\n\
<h2 id=\"plugindll-pluginmanager\">PluginDll, PluginManager</h2><p><code>MaxPlus.PluginDll</code>: Provides information about the plug-ins in a specific DLL.\n\
<code>MaxPlus.PluginManager</code>: Utility functions for querying the loaded plug-in classes and plug-in DLLs.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help:</p>\n\
<ul>\n\
<li>&apos;3ds Max Objects and Interfaces&apos; &gt; &apos;Interfaces&apos; &gt; &apos;Core Interfaces&apos; &gt; &apos;Core Interfaces Documentation&apos; &gt; &apos;P,Q&apos; &gt; &apos;Interface: pluginManager&apos;</li>\n\
<li>&apos;3ds Max Objects and Interfaces&apos; &gt; &apos;Interfaces&apos; &gt; &apos;Core Interfaces&apos; &gt; &apos;Core Interfaces Documentation&apos; &gt; &apos;P,Q&apos; &gt; &apos;Interface: PluginPackageManager&apos;</li>\n\
</ul>\n\
<h2 id=\"preferencesfileencoding-preferencesrendering\">PreferencesFileEncoding, PreferencesRendering</h2><p><code>MaxPlus.PreferencesFileEncoding</code>: Exposes some options found in the Files tab of the Preferences Dialog.</p>\n\
<p><code>MaxPlus.PreferencesRendering3D</code>: Exposes some options that are found in the Rendering Tab of the Preferences Dialog.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; MAXScript Tools and Interaction with 3ds Max &gt; Interacting with the 3ds Max User Interface &gt; Render Scene Dialog &gt; Renderer Preferences</p>\n\
<h2 id=\"renderer-renderexecute-rendersettings\">Renderer, RenderExecute, RenderSettings</h2><p><code>MaxPlus.Renderer</code>: The base class of renderer plugins.</p>\n\
<p><code>MaxPlus.RenderExecute</code>: Utility functions for controlling the rendering process.</p>\n\
<p><code>MaxPlus.RenderSettings</code>: Contains render properties common to all renderers. These are found in the UI under the common tab in the render dialog.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See the topics under MAXScript Help &gt; MAXScript Tools and Interaction with 3ds Max &gt; Interacting with the 3ds Max User Interface &gt; Render Scene Dialog</p>\n\
<h2 id=\"schematicviews\">SchematicViews</h2><p><code>MaxPlus.SchematicViews</code>: Schematic view related utility functions.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>MAXScript Help &gt; 3ds Max Objects and Interfaces &gt; Interfaces &gt; Core Interfaces &gt; Core Interfaces Documentation &gt; S &gt; Interface: SchematicViews</p>\n\
<h2 id=\"selectionmanager\">SelectionManager</h2><p><code>MaxPlus.SelectionManager</code>: Utility functions for working with selected nodes.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>MAXScript Help &gt; MAXScript Language Reference &gt; Collections &gt; Collection Types &gt; SelectionSet Values</p>\n\
<h2 id=\"snaps\">Snaps</h2><p><code>MaxPlus.Snaps</code>: Snap related functions</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>MAXScript Help &gt; MAXScript Tools and Interaction with 3ds Max &gt; Interacting with the 3ds Max User Interface &gt; Viewports &gt; snapMode Struct</p>\n\
<!--\n\
Nothing?\n\
## SpecialFX\n\
\n\
MaxPlus.SpecialFX: Base class for plug-ins that have an effect on the render like atmospherics and anti-aliasing kernels.\n\
-->\n\
\n\
<h2 id=\"statuspanel\">StatusPanel</h2><p><code>MaxPlus.StatusPanel</code>: Status panel related utility functions</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>MAXScript Help &gt; 3ds Max Objects and Interfaces &gt; Interfaces &gt; Core Interfaces &gt; Core Interfaces Documentation &gt; S &gt; Interface: StatusPanel</p>\n\
<h2 id=\"trackview\">TrackView</h2><p><code>MaxPlus.TrackView</code>: Track view utility functions.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>MAXScript Help &gt; MAXScript Tools and Interaction with 3ds Max &gt; Interacting with the 3ds Max User Interface &gt; Track View </p>\n\
<!--\n\
## TransformGizmos\n\
\n\
MaxPlus.TransformGizmos: Transform gizmo utility functions.\n\
\n\
\n\
## TriObject\n\
\n\
`MaxPlus.TriObject`: A triangle mesh object. All geometric objects should be able to be converted to TriObjects.\n\
-->\n\
\n\
<h2 id=\"uisettings\">UISettings</h2><p>MaxPlus.UISettings: Utility functions for UI scaling.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>sysInfo.desktopSize, sysInfo.DesktopSizeUnscaled </p>\n\
<h2 id=\"viewportmanager-viewportsbackground\">ViewportManager, ViewportsBackground</h2><p><code>MaxPlus.ViewportManager</code>: Utility functions for working with viewports.</p>\n\
<p><code>MaxPlus.ViewportsBackground</code>: Utility functions for working with the backgrounds of viewports.</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>See MAXScript Help &gt; MAXScript Tools and Interaction with 3ds Max &gt; Interacting with the 3ds Max User Interface &gt; Viewports &gt; Accessing Active Viewport Info, Type, and Transforms</p>\n\
<h2 id=\"win32\">Win32</h2><p><code>MaxPlus.Win32</code>: Win32 related general purpose functions</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>Some of this functionality is avaiable in <code>systools</code>.  See: MAXScript Help &gt; Interaction With The Operating System &gt; System Tools</p>\n\
<h2 id=\"xrefs\">XRefs</h2><p><code>MaxPlus.XRefs</code>: XRef utility functions</p>\n\
<p><strong>pymxs Equivalent:</strong></p>\n\
<p>More XRef functionality is available in pymxs.  See the topics under: MAXScript Help &gt; 3ds Max Objects and Interfaces &gt; Node : MAXWrapper &gt; XRef Objects and Scenes</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";