var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_differences_pymxs_pathname_values_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Accessing MAXScript PathName Values</h1></div><p>The <code>$</code> notation in MAXScript indicates a PathName literal value, for example <code>$Box001</code> is the node with the name &quot;Box001&quot;.  </p>\n\
<p>You can create PathName values in Python by executing a standard MAXScript path string. So for example, running <code>mypath = safeexecute &quot;$Box*&quot;</code> will return a PathName object to all the objects named &quot;Box*&quot; in the scene.  </p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to 3ds Max 2023, <code>safeexecute()</code> did not exist, you will need to use <code>execute()</code>.</p>\n\
\n\
</div></div>\n\
\n\
<p>This is a more elaborate example that shows some of the things you can do with the PathValue:</p>\n\
<pre class=\"pre codeblock\"><code class=\"lang-py prettyprint\">from pymxs import runtime as rt\n\
import pymxs\n\
\n\
def create_path(s):\n\
    return rt.safeExecute(s)\n\
\n\
# reset max fileox\n\
rt.resetmaxfile(rt.name(&quot;noPrompt&quot;))\n\
# create 10 boxes and 10 spheres:\n\
for i in range(int(1), 1 + int(10)):\n\
    rt.box(pos=rt.point3(i * 50, 0, 0))\n\
for i in range(int(1), 1 + int(10)):\n\
    rt.sphere(pos=rt.point3(i * 50, 100, 0))\n\
\n\
\n\
# these path objects can be iterated!\n\
for thing in create_path(&quot;$Box*&quot;):\n\
    print(thing)\n\
\n\
\n\
# assign standard material to all boxes\n\
create_path(&quot;$Box*&quot;).material = rt.standard()\n\
# argh! does not work in python!\n\
print(create_path(&quot;$Box001&quot;).material)\n\
\n\
# do the same in maxscript\n\
rt.execute(&quot;$Box*.material = standard()&quot;)\n\
# works perfectly well!\n\
print(create_path(&quot;$Box001&quot;).material)\n\
</code></pre>\n\
<p>In addition to using <code>ecute()/execute()</code>, you can evaluate a StringStream that contains a MAXScript PathName Literal with <code>readValue()</code> and use the result in any function that takes a node or node list, for example if you want to use <code>select()</code>:</p>\n\
<pre class=\"pre codeblock\"><code class=\"lang-py prettyprint\">rt.select(rt.readvalue(rt.StringStream(&apos;$Box001&apos;)))</code></pre>\n\
<p>In this instance you could also use <code>rt.getNodeByName()</code>, but that method takes a name rather than a scene path, and does not support wildcards.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../pymxs_differences.html\">Differences Between pymxs and MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";